
// set up document
size(600, 600); 
colorMode(HSB, 360, 100, 100, 100); 
background(180, 2, 95); // initial background color

// set up variables used later
String[] rawTemp;    // unprocessed text data from file
float[] temp;        // individual data points
String[] rawLevel;   // unprocessed text data from file
float[] level;       // individual data points
  
// Load temperature data from text file, then iterate over strings 
// and convert to floats.
// (Simplified for demo; best practice would be to write a function.
// Similarly, would be better to store both variables in the same 
// data structure.)
rawTemp = loadStrings("data/temp.txt");
temp = new float[rawTemp.length];
for (int i = 0; i < rawTemp.length; i++) {
   temp[i] = float(rawTemp[i]);
   print(rawTemp[i] + " "); // echo each line of data
}

// load river level data
rawLevel = loadStrings("data/height.txt");
level = new float[rawLevel.length];
for (int i = 0; i < rawLevel.length; i++) {
   level[i] = float(rawLevel[i]);
   print(rawLevel[i] + " "); 
}




// plot observations
// -----------------

// for each temperature observation
for (int i = 0; i < temp.length; i++) {
  
  // draw grid
  stroke(0, 0, 100, 100); // set line color
  strokeWeight(2); // set line width
  line(40 + i * 20, 400, 40 + i * 20, 50); 
  noStroke(); // turn off stroke

  // plot height of river
  fill(200, 50, 50, 40); // set fill color  
  ellipse(40 + i * 20, 400 - level[i] * 25, 10, 10); 

  // plot temperature
  if (temp[i] > 15) {
    fill(330, 100, 50, 50);
  } else {
    fill(280, 100, 50, 50); 
  }
  ellipse(40 + i * 20, 400 - temp[i] * 15, 10, 10); 

}